package com.brilliance.isc.common.trndia.registermodule.impl;

import com.brilliance.isc.common.trndia.registermodule.IDiaryRegisterModule;
import com.brilliance.isc.common.trndia.vo.TrndiaVo;
import com.brilliance.isc.common.vo.SimpleModuleVo;
import com.brilliance.isc.vo.lg.GcdBizInfoVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

@Component("gcd.diaryRegisterModule")
public class GcdDiaryRegisterModule implements IDiaryRegisterModule {

    private static Logger log = LoggerFactory.getLogger(GcdDiaryRegisterModule.class);

    @Override
    public void registerModule(TrndiaVo trndiaVo) {
        log.debug("GCD业务品种需要注册GID业务模型");
        GcdBizInfoVo gcdBizInfoVo = (GcdBizInfoVo)trndiaVo.getRec();
        SimpleModuleVo simpleModuleVo = SimpleModuleVo.buildModule(gcdBizInfoVo.getGidinr(), "GID");
        trndiaVo.addRegisterModule(simpleModuleVo);
    }
}
